@echo off
rem we assume this runs at the root of the Cream file structure

	echo.


rem CHANGE THIS TO YOUR %VIMRUNTIME% LOCATION 
rem WinNT/2K/XP have this, Win95 does not, Win98/ME?
	if "%PROGRAMFILES%"=="" set PROGRAMFILES=C:\PROGRA~1

rem no trailing slash
	if "%VIMRUNTIME%"=="" set VIMRUNTIME=%PROGRAMFILES%\vim\vim63
	echo.
	echo Verifying installation location...
	echo.
	echo   %%VIMRUNTIME%% set to "%VIMRUNTIME%".
	echo   If this is not your preferred installation location of VIM,
	echo   please edit INSTALL.bat manually to correct it!
	echo.
	pause
	if exist %VIMRUNTIME%\CON goto CONTINUE
	echo.
	echo This location did not exist.
	goto :END

:CONTINUE
rem directories
	echo Verifying and creating directories...
	echo   %VIMRUNTIME%\cream
	if not exist %VIMRUNTIME%\cream\CON mkdir %VIMRUNTIME%\cream
	echo   %VIMRUNTIME%\cream\addons
	if not exist %VIMRUNTIME%\cream\addons\CON mkdir %VIMRUNTIME%\cream\addons
	echo   %VIMRUNTIME%\cream\bitmaps
	if not exist %VIMRUNTIME%\cream\bitmaps\CON mkdir %VIMRUNTIME%\cream\bitmaps
	echo   %VIMRUNTIME%\cream\docs
	if not exist %VIMRUNTIME%\cream\docs\CON mkdir %VIMRUNTIME%\cream\docs
	echo   %VIMRUNTIME%\cream\docs-html
	if not exist %VIMRUNTIME%\cream\docs-html\CON mkdir %VIMRUNTIME%\cream\docs-html
	echo   %VIMRUNTIME%\cream\filetypes
	if not exist %VIMRUNTIME%\cream\filetypes\CON mkdir %VIMRUNTIME%\cream\filetypes
	echo   %VIMRUNTIME%\cream\help
	if not exist %VIMRUNTIME%\cream\help\CON mkdir %VIMRUNTIME%\cream\help
	echo   %VIMRUNTIME%\cream\spelldicts
	if not exist %VIMRUNTIME%\cream\spelldicts\CON mkdir %VIMRUNTIME%\cream\spelldicts

rem manage obsolete/upgrades
:UPSPELLDICTS
	if not exist %VIMRUNTIME%\cream\spelldicts\cream-spell-dict-eng-s-br_1.vim goto UPFILETYPES
	echo.
	echo Backing up obsolete spelling dictionary files...
	ren %VIMRUNTIME%\cream\spelldicts\cream-spell-dict-eng-s-br_1.vim cream-spell-dict-eng-s-br_1.vim.bak >nul
	ren %VIMRUNTIME%\cream\spelldicts\cream-spell-dict-eng-s-br_2.vim cream-spell-dict-eng-s-br_2.vim.bak >nul
	ren %VIMRUNTIME%\cream\spelldicts\cream-spell-dict-eng-s-br_3.vim cream-spell-dict-eng-s-br_3.vim.bak >nul
	ren %VIMRUNTIME%\cream\spelldicts\cream-spell-dict-eng-s-br_4.vim cream-spell-dict-eng-s-br_4.vim.bak >nul
	ren %VIMRUNTIME%\cream\spelldicts\cream-spell-dict-eng-s-us_1.vim cream-spell-dict-eng-s-us_1.vim.bak >nul
	ren %VIMRUNTIME%\cream\spelldicts\cream-spell-dict-eng-s-us_2.vim cream-spell-dict-eng-s-us_2.vim.bak >nul
	ren %VIMRUNTIME%\cream\spelldicts\cream-spell-dict-eng-s-us_3.vim cream-spell-dict-eng-s-us_3.vim.bak >nul
	ren %VIMRUNTIME%\cream\spelldicts\cream-spell-dict-eng-s-us_4.vim cream-spell-dict-eng-s-us_4.vim.bak >nul
	ren %VIMRUNTIME%\cream\spelldicts\cream-spell-dict-eng-s-ca_1.vim cream-spell-dict-eng-s-ca_1.vim.bak >nul
	ren %VIMRUNTIME%\cream\spelldicts\cream-spell-dict-eng-s-ca_2.vim cream-spell-dict-eng-s-ca_2.vim.bak >nul
	ren %VIMRUNTIME%\cream\spelldicts\cream-spell-dict-eng-s-ca_3.vim cream-spell-dict-eng-s-ca_3.vim.bak >nul
	ren %VIMRUNTIME%\cream\spelldicts\cream-spell-dict-eng-s-ca_4.vim cream-spell-dict-eng-s-ca_4.vim.bak >nul

:UPFILETYPES
	if not exist %VIMRUNTIME%\cream\cream-filetype-c.vim goto UPDONE
	echo.
	echo Removing obsolete filetype files...
	del %VIMRUNTIME%\cream\cream-filetype-*.vim >nul

:UPDONE

rem runtime files
	echo.
	echo Installing/upgrading runtime files...
	echo   %VIMRUNTIME%\cream\creamrc
	xcopy /D /Q /Y creamrc %VIMRUNTIME%\cream\
	echo   %VIMRUNTIME%\cream\*.vim
	xcopy /D /Q /Y *.vim %VIMRUNTIME%\cream\
rem echo   %VIMRUNTIME%\cream\cream.png
rem xcopy /D /Q /Y cream.png %VIMRUNTIME%\cream\
rem echo   %VIMRUNTIME%\cream\cream.svg
rem xcopy /D /Q /Y cream.svg %VIMRUNTIME%\cream\
	echo   %VIMRUNTIME%\cream\cream.ico
	xcopy /D /Q /Y cream.ico %VIMRUNTIME%\cream\
	echo   %VIMRUNTIME%\cream\addons\*.vim
	xcopy /D /Q /Y .\addons\*.vim %VIMRUNTIME%\cream\addons\
rem echo   %VIMRUNTIME%\cream\bitmaps\*.xpm
rem xcopy /D /Q /Y .\bitmaps\*.xpm %VIMRUNTIME%\cream\bitmaps\
	echo   %VIMRUNTIME%\cream\bitmaps\*.bmp
	xcopy /D /Q /Y .\bitmaps\*.bmp %VIMRUNTIME%\cream\bitmaps\
	echo   %VIMRUNTIME%\cream\docs\*.txt
	xcopy /D /Q /Y .\docs\*.txt %VIMRUNTIME%\cream\docs\
	echo   %VIMRUNTIME%\cream\docs-html\*.html
	xcopy /D /Q /Y .\docs-html\*.html %VIMRUNTIME%\cream\docs-html\
	echo   %VIMRUNTIME%\cream\docs-html\*.css
	xcopy /D /Q /Y .\docs-html\*.css %VIMRUNTIME%\cream\docs-html\
	echo   %VIMRUNTIME%\cream\docs-html\*.png
	xcopy /D /Q /Y .\docs-html\*.png %VIMRUNTIME%\cream\docs-html\
	echo   %VIMRUNTIME%\cream\filetypes\*.vim
	xcopy /D /Q /Y .\filetypes\*.vim %VIMRUNTIME%\cream\filetypes\
	echo   %VIMRUNTIME%\cream\help\*.txt
	xcopy /D /Q /Y .\help\*.txt %VIMRUNTIME%\cream\help\
	echo   %VIMRUNTIME%\cream\spelldicts\cream-spell-dict.vim
	xcopy /D /Q /Y .\spelldicts\cream-spell-dict.vim %VIMRUNTIME%\cream\spelldicts\
	echo   %VIMRUNTIME%\cream\spelldicts\cream-spell-dict-eng-s*.vim
	xcopy /D /Q /Y .\spelldicts\cream-spell-dict-eng-s*.vim %VIMRUNTIME%\cream\spelldicts\

rem rem command
rem     echo Command...
rem     echo   \usr\bin\cream
rem     xcopy /D /Q /Y cream \usr\bin\

rem rem menu entry
rem     echo Menu entry...
rem     echo   \usr\share\applications\cream.desktop
rem     xcopy /D /Q /Y cream.desktop \usr\share\applications\

rem rem icons
rem     echo Icons...
rem     echo   \usr\share\icons...
rem     xcopy /D /Q /Y cream.svg \usr\share\icons\
rem     xcopy /D /Q /Y cream.png \usr\share\icons\


:END
	echo Finished.
	echo.

    set PROGRAMFILES=
    set VIMRUNTIME=

